Subject: Re: [renum] I-D Action:draft-jiang-ipv6-site-renum-guideline-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 20 Feb 2011 10:32:15 +1300

Hi,

I've finally had time to read through this draft. I think
it's a good basis for the BOF discussion so I only have
a couple of comments for now:

RFC 4192 is listed as a reference, but there is no discussion
in the text. I think it would be useful to discuss which aspects
of the procedure in 4192 need extra work.

You don't mention draft-chown-v6ops-renumber-thinkabout. Although
it expired several years ago, I think it is still a valuable source.
(I think there was also a 6net report on site renumbering, too.)

Typos in the Acknowledgements - my name is misspelled slightly,
and who is Fred Bark?

Regards
   Brian

On 2011-01-26 21:45, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 	Title           : IPv6 Site Renumbering Guidelines and Further Works
> 	Author(s)       : S. Jiang, B. Liu
> 	Filename        : draft-jiang-ipv6-site-renum-guideline-00.txt
> 	Pages           : 13
> 	Date            : 2011-01-26
> 
> This document analyzes the existing issues for IPv6 site renumbering.
> It also analyzes the possible directions to solve these issues and
> gives recommendations. This document only takes the perspective of
> network and network protocols. Renumbering in IPv4 networks, in the
> dual-stack network or in the IPv4/IPv6 transition networks are out of
> scope.
> 
> This document only takes the perspective of network and network
> protocols. According to the different stages, these issues are
> described in three categories: considerations during network design,
> considerations for routine network management, and considerations
> during renumbering operation. Recommended solutions or strategies are
> also described. Issues that still remain unsolvable are listed as the
> fourth category.
> 
> Although we list a few non-network issues in this document, we
> consider them as issues that ISPs or network providers cannot affect.
> So, these issues are considered to be unsolvable and not explore
> further in these document, though they may be solved by OS
> implementations or application implementations.
> 
> We summary the requests that need to extend current protocols as
> further works at the end of this document.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-jiang-ipv6-site-renum-guideline-00.txt